VisualFBEditor - IDE for FreeBasic

User projects written in or related to FreeBASIC.
Xusinboy Bekchanov
Posts: 387
Joined: Jul 26, 2018 18:28

Re: VisualFBEditor - IDE for FreeBasic

Postby Xusinboy Bekchanov » Feb 28, 2021 14:13

Cretin Ho wrote:When I start your IDE, everything I see is just this:

Image

I answered this question here:
Xusinboy Bekchanov wrote:Previously there was a fix for file search in Linux:
https://github.com/XusinboyBekchanov/My ... f6fccd7674

So try the latest version (1.2.7) from github.

Cretin Ho wrote:Ignore the error, it could start but I think it's something wrong there, there is no project template to choose from when creating a new project

I corrected it now:
https://github.com/XusinboyBekchanov/Vi ... f17c8d3b61
Cretin Ho
Posts: 158
Joined: Feb 04, 2021 13:01

Re: VisualFBEditor - IDE for FreeBasic

Postby Cretin Ho » Feb 28, 2021 15:26

This is what I did:

git clone https://github.com/XusinboyBekchanov/VisualFBEditor

cd VisualFBEditor

git clone https://github.com/XusinboyBekchanov/MyFbFramework

cd src

fbc "VisualFBEditor.bas" -x "../VisualFBEditor64_gtk3" -i ../MyFbFramework -i /home/giahung/Live-usb-storage/fbc/inc

cd ../MyFbFramework/mff

fbc -b "mff.bi" -dll -x "../libmff64_gtk3.so" -i /home/giahung/Live-usb-storage/fbc/inc

Notes:

The part -i /home/giahung/Live-usb-storage/fbc/inc is needed, without it, the compiler will error with this:

/home/giahung/Live-usb-storage/VisualFBEditor/MyFbFramework/mff/UString.bi(2) error 23: File not found, "file.bi"

This is because I didn't install fbc. I only add the bin folder to PATH. This is a live USB. Install doesn't make any sense.

The first compilation success, when the last failed with:

ld: cannot find -lwebkitgtk-3.0

I have libgtk-3-dev installed on my system. Have no idea how to get that webkitgtk-3.0.
Cretin Ho
Posts: 158
Joined: Feb 04, 2021 13:01

Re: VisualFBEditor - IDE for FreeBasic

Postby Cretin Ho » Feb 28, 2021 15:51

I'm running MX Linux and fully updated with the latest packages. MX Linux is nothing other than Debian 10, to be clear.

And there is no such thing as webkitgtk-3.0 on my system:

$ apt search webkitgtk
Sorting... Done
Full Text Search... Done
epiphany-browser/stable 3.32.1.2-3~deb10u1 amd64
Intuitive GNOME web browser

gir1.2-javascriptcoregtk-4.0/stable,now 2.30.5-1~deb10u1 amd64 [installed,automatic]
JavaScript engine library from WebKitGTK - GObject introspection data

libjavascriptcoregtk-4.0-18/stable,now 2.30.5-1~deb10u1 amd64 [installed,automatic]
JavaScript engine library from WebKitGTK

libjavascriptcoregtk-4.0-bin/stable 2.30.5-1~deb10u1 amd64
JavaScript engine library from WebKitGTK - command-line interpreter

libjavascriptcoregtk-4.0-dev/stable 2.30.5-1~deb10u1 amd64
JavaScript engine library from WebKitGTK - development files

libwebkit2-sharp-4.0-cil/stable 2.10.9+git20160917-1.1 amd64
CLI bindings for WebKitGTK+ 4.0 using GObject Introspection

libwebkit2-sharp-4.0-cil-dev/stable 2.10.9+git20160917-1.1 amd64
CLI bindings for WebKitGTK+ 4.0 using GObject Introspection - development

libwebkit2gtk-4.0-37-gtk2/stable,stable 2.30.5-1~deb10u1 all
Transitional dummy package

luakit/stable 1:2.1-1 amd64
fast and small web browser extensible by Lua

ruby-webkit2-gtk/stable,stable 3.3.2-1 all
WebKitGTK+ bindings for the Ruby language

webkit2gtk-driver/stable 2.30.5-1~deb10u1 amd64
WebKitGTK WebDriver support
Xusinboy Bekchanov
Posts: 387
Joined: Jul 26, 2018 18:28

Re: VisualFBEditor - IDE for FreeBasic

Postby Xusinboy Bekchanov » Feb 28, 2021 16:30

Cretin Ho wrote:I'm running MX Linux and fully updated with the latest packages. MX Linux is nothing other than Debian 10, to be clear.

And there is no such thing as webkitgtk-3.0 on my system:

The webkitgtk-3.0 dependency has been added for the WebBrowser in the new version of MyFbFramework.
Use the following command to install it:

Code: Select all

sudo apt-get install libwebkitgtk-3.0-dev
Cretin Ho
Posts: 158
Joined: Feb 04, 2021 13:01

Re: VisualFBEditor - IDE for FreeBasic

Postby Cretin Ho » Feb 28, 2021 17:28

Xusinboy Bekchanov wrote:
Cretin Ho wrote:I'm running MX Linux and fully updated with the latest packages. MX Linux is nothing other than Debian 10, to be clear.

And there is no such thing as webkitgtk-3.0 on my system:

The webkitgtk-3.0 dependency has been added for the WebBrowser in the new version of MyFbFramework.
Use the following command to install it:

Code: Select all

sudo apt-get install libwebkitgtk-3.0-dev

$ sudo apt install libwebkitgtk-3.0-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package libwebkitgtk-3.0-dev
E: Couldn't find any package by glob 'libwebkitgtk-3.0-dev'
E: Couldn't find any package by regex 'libwebkitgtk-3.0-dev'
Cretin Ho
Posts: 158
Joined: Feb 04, 2021 13:01

Re: VisualFBEditor - IDE for FreeBasic

Postby Cretin Ho » Feb 28, 2021 17:43

I ended up using another IDE, which far less features than yours but just worked. Bye.
Xusinboy Bekchanov
Posts: 387
Joined: Jul 26, 2018 18:28

Re: VisualFBEditor - IDE for FreeBasic

Postby Xusinboy Bekchanov » Mar 01, 2021 3:29

Cretin Ho wrote:I ended up using another IDE, which far less features than yours but just worked. Bye.

Sorry, but I program for fun. Eventually I will have to make WebBrowser a separate dll.
Cretin Ho
Posts: 158
Joined: Feb 04, 2021 13:01

Re: VisualFBEditor - IDE for FreeBasic

Postby Cretin Ho » Mar 01, 2021 4:02

Xusinboy Bekchanov wrote:Sorry, but I program for fun.

But your work is very good indeed. You are a good developer.
Xusinboy Bekchanov wrote:Eventually I will have to make WebBrowser a separate dll.

Does this mean some day I could revisit your IDE again?
Cretin Ho
Posts: 158
Joined: Feb 04, 2021 13:01

Re: VisualFBEditor - IDE for FreeBasic

Postby Cretin Ho » Mar 01, 2021 4:14

BTW, you should have a look at the problem again.

I think you will have trouble with modern Debian and Ubuntu versions:

https://packages.debian.org/search?keyw ... tk-3.0-dev

This libwebkitgtk-3.0-dev is only available for old Debian, Debian 10 and newer dropped it.

If you could please don't do a hard requirement on this library, if it doesn't affect the functionality of your IDE.

Just my 2 cents.
Xusinboy Bekchanov
Posts: 387
Joined: Jul 26, 2018 18:28

Re: VisualFBEditor - IDE for FreeBasic

Postby Xusinboy Bekchanov » Mar 01, 2021 4:39

Cretin Ho wrote:BTW, you should have a look at the problem again.

I think you will have trouble with modern Debian and Ubuntu versions:

https://packages.debian.org/search?keyw ... tk-3.0-dev

This libwebkitgtk-3.0-dev is only available for old Debian, Debian 10 and newer dropped it.

If you could please don't do a hard requirement on this library, if it doesn't affect the functionality of your IDE.

Just my 2 cents.

I added a __USE_WEBKITGTK__ definition, now by default the library does not use webkitgtk:
https://github.com/XusinboyBekchanov/My ... 51f00c59dc
Cretin Ho
Posts: 158
Joined: Feb 04, 2021 13:01

Re: VisualFBEditor - IDE for FreeBasic

Postby Cretin Ho » Mar 01, 2021 7:07

Xusinboy Bekchanov wrote:I added a __USE_WEBKITGTK__ definition, now by default the library does not use webkitgtk:
https://github.com/XusinboyBekchanov/My ... 51f00c59dc

Your latest code failed to compile:

$ fbc -b "mff.bi" -dll -x "../libmff64_gtk3.so" -i /home/giahung/Live-usb-storage/fbc/inc
/home/giahung/Live-usb-storage/VisualFBEditor/MyFbFramework/mff/Chart.bas(638) error 42: Variable not declared, Color_MakeARGB
/home/giahung/Live-usb-storage/VisualFBEditor/MyFbFramework/mff/Chart.bas(639) warning 13(1): Function result was not explicitly set
Xusinboy Bekchanov
Posts: 387
Joined: Jul 26, 2018 18:28

Re: VisualFBEditor - IDE for FreeBasic

Postby Xusinboy Bekchanov » Mar 01, 2021 7:36

Cretin Ho wrote:
Xusinboy Bekchanov wrote:I added a __USE_WEBKITGTK__ definition, now by default the library does not use webkitgtk:
https://github.com/XusinboyBekchanov/My ... 51f00c59dc

Your latest code failed to compile:

$ fbc -b "mff.bi" -dll -x "../libmff64_gtk3.so" -i /home/giahung/Live-usb-storage/fbc/inc
/home/giahung/Live-usb-storage/VisualFBEditor/MyFbFramework/mff/Chart.bas(638) error 42: Variable not declared, Color_MakeARGB
/home/giahung/Live-usb-storage/VisualFBEditor/MyFbFramework/mff/Chart.bas(639) warning 13(1): Function result was not explicitly set

Corrected:
https://github.com/XusinboyBekchanov/My ... 83d97264e5
Cretin Ho
Posts: 158
Joined: Feb 04, 2021 13:01

Re: VisualFBEditor - IDE for FreeBasic

Postby Cretin Ho » Mar 01, 2021 9:13

Xusinboy Bekchanov wrote:
Cretin Ho wrote:
Xusinboy Bekchanov wrote:I added a __USE_WEBKITGTK__ definition, now by default the library does not use webkitgtk:
https://github.com/XusinboyBekchanov/My ... 51f00c59dc

Your latest code failed to compile:

$ fbc -b "mff.bi" -dll -x "../libmff64_gtk3.so" -i /home/giahung/Live-usb-storage/fbc/inc
/home/giahung/Live-usb-storage/VisualFBEditor/MyFbFramework/mff/Chart.bas(638) error 42: Variable not declared, Color_MakeARGB
/home/giahung/Live-usb-storage/VisualFBEditor/MyFbFramework/mff/Chart.bas(639) warning 13(1): Function result was not explicitly set

Corrected:
https://github.com/XusinboyBekchanov/My ... 83d97264e5

Thanks. Everything worked fine now.
D.J.Peters
Posts: 8239
Joined: May 28, 2005 3:28
Contact:

Re: VisualFBEditor - IDE for FreeBasic

Postby D.J.Peters » Mar 02, 2021 17:22

hello Xusinboy Bekchanov
I got a litle bit time today and build VisualFBEditor for Windows 32 and 64-bit and the framework from github sources.
without any problems at all
I like to say good job and well done :-)

Joshy
Xusinboy Bekchanov
Posts: 387
Joined: Jul 26, 2018 18:28

Re: VisualFBEditor - IDE for FreeBasic

Postby Xusinboy Bekchanov » Mar 02, 2021 17:35

D.J.Peters wrote:hello Xusinboy Bekchanov
I got a litle bit time today and build VisualFBEditor for Windows 32 and 64-bit and the framework from github sources.
without any problems at all
I like to say good job and well done :-)

Joshy

Thanks for the good review.

Return to “Projects”

Who is online

Users browsing this forum: No registered users and 12 guests